<!--
 * @Author: zwq
 * @Date: 2023-01-04 10:29:40
 * @LastEditors: zwq
 * @LastEditTime: 2023-03-03 10:12:50
 * @Description: 
-->
<template>
  <el-card shadow="never" class="aui-card--fill">
    <div class="mod-sys__user">
      <search-bar :formConfigs="formConfig" ref="searchBarForm" @headBtnClick="buttonClick" />
      <base-table
        :table-props="tableProps"
        :page="listQuery.page"
        :limit="listQuery.limit"
        :table-data="tableData"
      />
      <pagination
        :limit.sync="listQuery.limit"
        :page.sync="listQuery.page"
        :total="listQuery.total"
        @pagination="getDataList"
      />
    </div>
  </el-card>
</template>

<script>
import basicPage from "@/mixins/basic-page";
import i18n from "@/i18n";
import codeFilter from '@/filters/code-filter'
const tableProps = [
  {
    prop: "createTime",
    label: "添加时间",
  },
  {
    prop: "dateNum",
    label: "批次号",
  },
  {
    prop: "isEmpty",
    label: "是否为空",
    filter: codeFilter('isEmpty'),
  },
  {
    prop: "productName",
    label: "产品名称",
  },
  {
    prop: "quantity",
    label: "货物数量",
  },
  {
    prop: "specModel",
    label: "详细规格",
  },
  {
    prop: "warehousePositionName",
    label: "库位名称",
  },
  {
    prop: "status",
    label: "库位状态",
    filter: codeFilter('positionStatus'),
  },
  {
    prop: "remark",
    label: "描述",
  },
];
export default {
  mixins: [basicPage],
  data() {
    return {
      urlOptions: {
        getDataListURL: "/code/mtWarehousePositionRelatLog/page",
        exportUrl: "/code/mtWarehousePositionRelatLog/export",
      },
      tableProps,
      formConfig: [
        {
          type: "button",
          btnName: "查询",
          name: "search",
          color: "primary",
        },
      ],
    };
  },
  components: {},
  methods:{
    //search-bar点击
    buttonClick(val) {
      switch (val.btnName) {
        case "search":
          this.listQuery.page = 1;
          this.getDataList();
          break;
        case "add":
          this.addOrEditTitle = '新增'
          this.addOrUpdateVisible = true;
          this.addOrUpdateHandle()
          break;
        default:
          console.log(val)
       }
    },
  }
};
</script>
